package es.cipfpbatoi.modelo;
// Generated 31 ene 2023 11:09:24 by Hibernate Tools 4.3.6.Final

import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.FetchType;
import jakarta.persistence.GeneratedValue;
import jakarta.persistence.GenerationType;
import jakarta.persistence.Id;
import jakarta.persistence.JoinColumn;
import jakarta.persistence.ManyToOne;
import jakarta.persistence.Table;
import lombok.Getter;
import lombok.Setter;

/**
 * Address generated by hbm2java
 */
@Entity
@Table(name = "address", catalog = "sakila")
@Getter @Setter
public class Address implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
	@Column(name = "address_id", unique = true, nullable = false)
	private Short addressId;
	
	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "city_id", nullable = false)
	private City city;
	
	@Column(name = "address", nullable = false, length = 50)
	private String address;
	
	@Column(name = "district", nullable = false, length = 20)
	private String district;
	
	@Column(name = "postal_code", length = 10)
	private String postalCode;
	
	@Column(name = "phone", nullable = false, length = 20)
	private String phone;

	public Address() {
	}

	public Address(City city, String address, String district, String phone) {
		this.city = city;
		this.address = address;
		this.district = district;
		this.phone = phone;
	}

	public Address(City city, String address, String district, String postalCode, String phone) {
		this.city = city;
		this.address = address;
		this.district = district;
		this.postalCode = postalCode;
		this.phone = phone;
	}

	
//	public Short getAddressId() {
//		return this.addressId;
//	}
//
//	public void setAddressId(Short addressId) {
//		this.addressId = addressId;
//	}
//
//	
//	public City getCity() {
//		return this.city;
//	}
//
//	public void setCity(City city) {
//		this.city = city;
//	}
//
//	
//	public String getAddress() {
//		return this.address;
//	}
//
//	public void setAddress(String address) {
//		this.address = address;
//	}
//
//	
//	public String getDistrict() {
//		return this.district;
//	}
//
//	public void setDistrict(String district) {
//		this.district = district;
//	}
//
//	
//	public String getPostalCode() {
//		return this.postalCode;
//	}
//
//	public void setPostalCode(String postalCode) {
//		this.postalCode = postalCode;
//	}
//	
//	public String getPhone() {
//		return this.phone;
//	}
//
//	public void setPhone(String phone) {
//		this.phone = phone;
//	}
	

}
